Page MenuHomePhabricator

Wrong comment in the generated LocalSettings.php about how to enable new extensions
Closed, ResolvedPublic

Description

In MediaWiki 1.25, the generated LocalSettings.php file contains this comment:

# Enabled Extensions. Most extensions are enabled by including the base extension file here
# but check specific extension documentation for more details
# The following extensions were automatically enabled:

This is now wrong since we're using the new extension registration method, which is now, for example:

wfLoadExtension( 'Cite' );

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Low.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 31 2015, 4:03 PM

That comment is in ./includes/installer/LocalSettingsGenerator.php

Paladox set Security to None.Aug 2 2015, 7:07 PM
Paladox added a subscriber: Legoktm.

Change 236020 had a related patch set uploaded (by Legoktm):
Modification of Comment in LocalSettings.php file

https://gerrit.wikimedia.org/r/236020

Change 236020 merged by jenkins-bot:
Update comment about enabled extensions

https://gerrit.wikimedia.org/r/236020

Legoktm closed this task as Resolved.Jan 2 2016, 12:16 AM
Legoktm claimed this task.